# Uses of Enum
org.apache.sling.testing.mock.sling.ResourceResolverType

Packages that use ResourceResolverType
Package
Description
org.apache.sling.testing.mock.sling
Mock implementation of selected Sling APIs.
org.apache.sling.testing.mock.sling.context
Sling context implementation for unit tests.
org.apache.sling.testing.mock.sling.loader
Helpers for importing test content into the mocked repositories / resource hierarchies.

## Uses of ResourceResolverType in org.apache.sling.testing.mock.sling

Fields in org.apache.sling.testing.mock.sling declared as ResourceResolverType
Modifier and Type
Field
Description
`static final @NotNull ResourceResolverType`
MockSling.`DEFAULT_RESOURCERESOLVER_TYPE`
Default resource resolver type is `RESOURCERESOLVER_MOCK`.
Methods in org.apache.sling.testing.mock.sling that return ResourceResolverType
Modifier and Type
Method
Description
`static ResourceResolverType`
ResourceResolverType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ResourceResolverType[]`
ResourceResolverType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.sling.testing.mock.sling with parameters of type ResourceResolverType
Modifier and Type
Method
Description
`static @NotNull org.apache.sling.api.resource.ResourceResolver`
MockSling.`newResourceResolver(@NotNull ResourceResolverType type, @NotNull org.osgi.framework.BundleContext bundleContext)`
Creates new sling resource resolver instance.
`static @NotNull org.apache.sling.api.resource.ResourceResolverFactory`
MockSling.`newResourceResolverFactory(@NotNull ResourceResolverType type, @NotNull org.osgi.framework.BundleContext bundleContext)`
Creates new sling resource resolver factory instance.

## Uses of ResourceResolverType in org.apache.sling.testing.mock.sling.context

Fields in org.apache.sling.testing.mock.sling.context declared as ResourceResolverType
Modifier and Type
Field
Description
`protected ResourceResolverType`
SlingContextImpl.`resourceResolverType`
Resource resolver type
Methods in org.apache.sling.testing.mock.sling.context that return ResourceResolverType
Modifier and Type
Method
Description
`final @NotNull ResourceResolverType`
SlingContextImpl.`resourceResolverType()`
Methods in org.apache.sling.testing.mock.sling.context with parameters of type ResourceResolverType
Modifier and Type
Method
Description
`protected void`
SlingContextImpl.`setResourceResolverType(@Nullable ResourceResolverType resourceResolverType)`

## Uses of ResourceResolverType in org.apache.sling.testing.mock.sling.loader

Constructors in org.apache.sling.testing.mock.sling.loader with parameters of type ResourceResolverType
Modifier
Constructor
Description
``
`ContentLoader(@NotNull org.apache.sling.api.resource.ResourceResolver resourceResolver, @Nullable org.osgi.framework.BundleContext bundleContext, boolean autoCommit, @Nullable ResourceResolverType resourceResolverType)`